%define upstream_name    Package-Stash
%define upstream_version 0.36

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Routines for manipulating stashes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Implementation) >= 0.60.0
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Package::Stash::XS) >= 0.260.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch
# For performance and consistency
Requires: perl(Package::Stash::XS) >= 0.26
# Not found by rpm auto-provides
Provides: perl(Package::Stash::Conflicts) = 0

%description
Manipulating stashes (Perl's symbol tables) is occasionally necessary, but
incredibly messy, and easy to get wrong. This module hides all of that
behind a simple API.

NOTE: Most methods in this class require a variable specification that
includes a sigil. If this sigil is absent, it is assumed to represent the
IO slot.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/Package
%{_bindir}/package-stash-conflicts


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.360.0-6.mga5
+ Revision: 746929
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 tv <tv> 0.360.0-5.mga5
+ Revision: 723807
- fix requires

* Wed Sep 24 2014 tv <tv> 0.360.0-4.mga5
+ Revision: 723178
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 0.360.0-3.mga5
+ Revision: 685852
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.360.0-2.mga4
+ Revision: 534053
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.360.0-1.mga4
+ Revision: 476099
- update to 0.36

* Sun Jul 14 2013 sander85 <sander85> 0.350.0-1.mga4
+ Revision: 454165
- update to 0.35

* Fri Jun 07 2013 jquelin <jquelin> 0.340.0-1.mga4
+ Revision: 439717
- update to 0.34

* Sun Jan 13 2013 umeabot <umeabot> 0.330.0-2.mga3
+ Revision: 371359
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 0.330.0-1.mga2
+ Revision: 154442
- update to 0.33

* Mon Sep 26 2011 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 148457
- update to 0.32
- update to 0.31
- update to 0.30

* Thu Apr 07 2011 jquelin <jquelin> 0.290.0-1.mga1
+ Revision: 81780
- update to 0.29

* Sun Apr 03 2011 jquelin <jquelin> 0.280.0-1.mga1
+ Revision: 80137
- update to 0.28

* Fri Mar 11 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 68186
- update to 0.26

* Tue Jan 25 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 38316
- update to 0.25

* Wed Jan 19 2011 jquelin <jquelin> 0.220.0-1.mga1
+ Revision: 24539
- adding missing buildrequires:
- fix specs
- imported package perl-Package-Stash

